/*-
 * Copyright (c) 2004-2005 Norikatsu Shigemura
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: dummy_realplayer.c,v 1.2 2005/05/06 16:22:50 nork Exp $
 */

/*
 *
 */
#ifdef	DEBUG
void abort(void);
int _write(int, const void *, unsigned int);

#define	hook_and_abort(func)	\
	void func(void) { \
		_write(2, #func "\n", sizeof(#func "\n") - 1); \
		abort(); \
	}

  hook_and_abort(XFlush)
  hook_and_abort(_Jv_RegisterClasses)
  hook_and_abort(operator)
  hook_and_abort(__cxa_finalize)
//hook_and_abort(__errno_location)
  hook_and_abort(__gmon_start__)
//hook_and_abort(__strtol_internal)
  hook_and_abort(_exit)
  hook_and_abort(asprintf)
  hook_and_abort(calloc)
//hook_and_abort(close)
  hook_and_abort(execlp)
//hook_and_abort(fcntl)
  hook_and_abort(fork)
  hook_and_abort(fprintf)
  hook_and_abort(free)
  hook_and_abort(getenv)
  hook_and_abort(isspace)
//hook_and_abort(kill)
  hook_and_abort(malloc)
  hook_and_abort(perror)
  hook_and_abort(printf)
  hook_and_abort(puts)
//hook_and_abort(read)
  hook_and_abort(realloc)
  hook_and_abort(select)
  hook_and_abort(snprintf)
  hook_and_abort(socketpair)
  hook_and_abort(sprintf)
  hook_and_abort(sscanf)
//hook_and_abort(stderr)
  hook_and_abort(strcasecmp)
  hook_and_abort(strchr)
  hook_and_abort(strcpy)
  hook_and_abort(strdup)
  hook_and_abort(strlen)
  hook_and_abort(strncpy)
  hook_and_abort(usleep)
  hook_and_abort(waitpid)
//hook_and_abort(write)
#endif
